Module ij
Package ij.process

# Class MedianCut

java.lang.Object
ij.process.MedianCut

public class MedianCut extends Object
Converts an RGB image to 8-bit index color using Heckbert's median-cut color quantization algorithm. Based on median.c by Anton Kruger from the September, 1994 issue of Dr. Dobbs Journal.

## Constructor Summary

Constructors
Constructor
Description
`MedianCut(int[] pixels, int width, int height)`
`MedianCut(ColorProcessor ip)`

## Method Summary

Modifier and Type
Method
Description
`Image`
`convert(int maxcubes)`
Uses Heckbert's median-cut algorithm to divide the color space defined by "hist" into "maxcubes" cubes.
`ImageProcessor`
`convertToByte(int maxcubes)`
This is a version of convert that returns a ByteProcessor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MedianCut

public MedianCut(int[] pixels, int width, int height)

### MedianCut

public MedianCut(ColorProcessor ip)

## Method Details

### convert

public Image convert(int maxcubes)
Uses Heckbert's median-cut algorithm to divide the color space defined by "hist" into "maxcubes" cubes. The centroids (average value) of each cube are are used to create a color table. "hist" is then updated to function as an inverse color map that is used to generate an 8-bit image.

### convertToByte

public ImageProcessor convertToByte(int maxcubes)
This is a version of convert that returns a ByteProcessor.